using FalcoEngine;

public class PuzzleCompleteCheck : MonoBehaviour
{
    public int fC = 0;
    public int sC = 0;
    public bool twoWays = false;

    public int rot_ = 0;

    public bool Completed()
    {
        int rot = rot_ % 4;
        if (!twoWays)
        {
            if (rot == fC)
                return true;
        }
        else
        {
            if (rot == fC | rot == sC)
                return true;
        }
        return false;
    }

    void Update()
    {
        rigidbody.rotation = Quaternion.Euler(0f, 0f, (rot_ % 4) * 90f);
    }
}
